<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        tools:node="remove" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        tools:node="remove" />

    <application
        android:name="app.furmeet.events.system.App"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name="app.furmeet.events.system.WebViewActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            />
        <activity
            android:name="app.furmeet.events.system.MainActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.Splash">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="www.brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="http" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="www.brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="http" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="http" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="http" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="www.brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="www.brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="brasilfurfest.com.br"
                    android:pathPrefix="/app"
                    android:scheme="https" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.journeyapps.barcodescanner.CaptureActivity"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            tools:replace="screenOrientation" />
        <activity
            android:name="app.furmeet.events.system.SplashActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.Splash" />
        <activity
            android:name="app.furmeet.events.system.schedule.ScheduleActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.Schedule" />
        <activity
            android:name="app.furmeet.events.system.schedule.FavoritesActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.ScheduleFavorites" />
        <activity
            android:name="app.furmeet.events.system.schedule.EventActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.ScheduleFavorites" />
        <activity
            android:name="app.furmeet.events.system.legal.SoftwareLicensesActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="landscape"
            android:theme="@style/AppTheme" />
        <activity
            android:name="app.furmeet.events.system.developer.DeveloperActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme" />
        <activity
            android:name="app.furmeet.events.system.AssetImageViewerActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.ImageViewer" />
        <activity
            android:name="app.furmeet.events.system.schedule.QRCodeViewerActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.ImageViewer" />
        <activity
            android:name="app.furmeet.events.system.CountdownActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme.ImageViewer" />
        <activity
            android:name="app.furmeet.events.system.notification.PastNotificationsActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme" />
        <activity
            android:name="app.furmeet.events.system.schedule.SearchFilterActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme" />
        <activity
            android:name="app.furmeet.events.system.schedule.RoomPartyPreviewerActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="sensorPortrait"
            android:theme="@style/AppTheme" />

        <service
            android:name="app.furmeet.events.system.notification.NotificationJobService"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service
            android:name="app.furmeet.events.system.notification.ScheduleUpdaterJobService"
            android:permission="android.permission.BIND_JOB_SERVICE" />

        <receiver
            android:name="app.furmeet.events.system.notification.BootUpReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />

                <action android:name="android.intent.action.REBOOT" />
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.QUICKBOOT_POWERON" />
                <action android:name="android.intent.action.LOCKED_BOOT_COMPLETED" />
            </intent-filter>
        </receiver>
    </application>

</manifest>